package uulm.teamname.marvelous.gamelibrary.events;

/** Specifies the type of an {@link Event}. */
public enum EventType {
    // GameStateEvents
    Ack,
    Nack,
    GamestateEvent,

    // CustomEvents
    CustomEvent,

    // EntityEvents
    DestroyedEntityEvent,
    TakenDamageEvent,
    ConsumedAPEvent,
    ConsumedMPEvent,
    SpawnEntityEvent,
    HealedEvent,

    // CharacterEvents
    MeleeAttackEvent,
    RangedAttackEvent,
    MoveEvent,
    UseInfinityStoneEvent,
    ExchangeInfinityStoneEvent,

    // TeleportedEvent
    TeleportedEvent,

    // GameEvents
    RoundSetupEvent,
    TurnEvent,
    WinEvent,
    TurnTimeoutEvent,
    TimeoutWarningEvent,
    TimeoutEvent,
    PauseStartEvent,
    PauseStopEvent,
    DisconnectEvent,
}
