package uulm.teamname.marvelous.gamelibrary.messages.client;

import uulm.teamname.marvelous.gamelibrary.messages.BasicMessage;
import uulm.teamname.marvelous.gamelibrary.messages.MessageType;
import uulm.teamname.marvelous.gamelibrary.messages.RoleEnum;

import jakarta.validation.constraints.NotNull;

public class PlayerReadyMessage extends BasicMessage {

    /** Whether the client wants to start the game. If this is false, the client gets disconnected. */
    @NotNull
    public Boolean startGame;

    /** The {@link RoleEnum Role} the client wants to take  */
    @NotNull
    public RoleEnum role;

    public PlayerReadyMessage() {
        messageType = MessageType.PLAYER_READY;
    }
}
