package uulm.teamname.marvelous.gamelibrary.messages.client;

import uulm.teamname.marvelous.gamelibrary.messages.BasicMessage;
import uulm.teamname.marvelous.gamelibrary.messages.MessageType;

import jakarta.validation.constraints.NotNull;

public class ReconnectMessage extends BasicMessage {

    /** Whether the client wants to reconnect to the previously running game */
    @NotNull
    public Boolean reconnect;

    public ReconnectMessage() {
        messageType = MessageType.RECONNECT;
    }
}
