package uulm.teamname.marvelous.gamelibrary.gamelogic;

/** Specifies a win condition. The order is important here. */
enum WinCondition {
    /** The maximum amount of total infinity stones the player had at a time */
    MaxStones,
    /** The total amount of enemy characters the player knocked out */
    TotalKnockouts,
    /** The total amount of damage the player did to enemy characters */
    TotalDamage
}
