package uulm.teamname.marvelous.gamelibrary.json.ingame.deserialize;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import uulm.teamname.marvelous.gamelibrary.IntVector2;

import java.io.IOException;

public class IntVector2Deserializer extends JsonDeserializer<IntVector2> {
    @Override
    public IntVector2 deserialize(JsonParser p, DeserializationContext ctxt) throws IOException {
        var values = p.readValueAs(Integer[].class);
        return new IntVector2(values[0], values[1]);
    }
}
