package uulm.teamname.marvelous.gamelibrary.json.ingame.serialize;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import uulm.teamname.marvelous.gamelibrary.IntVector2;

import java.io.IOException;

public class IntVector2Serializer extends StdSerializer<IntVector2> {

    public IntVector2Serializer() {
        this(null);
    }

    protected IntVector2Serializer(Class<IntVector2> t) {
        super(t);
    }

    @Override
    public void serialize(IntVector2 value, JsonGenerator gen, SerializerProvider provider) throws IOException {
        gen.writeStartArray();
        gen.writeNumber(value.getX());
        gen.writeNumber(value.getY());
        gen.writeEndArray();
    }
}
