package uulm.teamname.marvelous.gamelibrary.messages.client;

import jakarta.validation.constraints.NotEmpty;
import uulm.teamname.marvelous.gamelibrary.messages.BasicMessage;
import uulm.teamname.marvelous.gamelibrary.messages.MessageType;

public class HelloServerMessage extends BasicMessage {

    /** User-chosen name, basically a PlayerName */
    @NotEmpty
    public String name;

    /** Device ID sent by the Client, might be anything, but used together with name to uniquely identify the client */
    @NotEmpty
    public String deviceID;

    public HelloServerMessage() {
        messageType = MessageType.HELLO_SERVER;
    }
}
