package uulm.teamname.marvelous.gamelibrary.messages.server;

import uulm.teamname.marvelous.gamelibrary.messages.BasicMessage;
import uulm.teamname.marvelous.gamelibrary.messages.MessageType;

import jakarta.validation.constraints.NotNull;

public class HelloClientMessage extends BasicMessage {

    /** Whether there is a running game that the player disconnected from */
    @NotNull
    public Boolean runningGame;

    public HelloClientMessage() {
        messageType = MessageType.HELLO_CLIENT;
    }
}
