package uulm.teamname.marvelous.gamelibrary.requests;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import uulm.teamname.marvelous.gamelibrary.json.ingame.deserialize.RequestDeserializer;
import uulm.teamname.marvelous.gamelibrary.json.ingame.serialize.RequestSerializer;

/** Represents a game request for: {@link RequestType#DisconnectRequest}. */
@JsonDeserialize(using = RequestDeserializer.class)
@JsonSerialize(using = RequestSerializer.class)
public class GameRequest extends Request {
    @Override
    public String toString() {
        return "GameRequest{" +
                "type=" + type +
                '}';
    }
}
